PLICL-0.0.1(1)

NAME
plicl - compile and link PL/I programs

SYNOPSIS
plicl [--verbose] -c [plic-options] input-file [input-file ...]

plicl [--verbose] -o output-file [plic-options] input-file [input-file ...]

plicl [--man | --help | --version]

DESCRIPTION
plicl (rhymes with pickle) is a wrapper script for plic(1) (the Iron Spring PL/I compiler) and ld(1) (the GNU linker, at least on most Linux systems). It allows you to compile PL/I code from the command line without having to create a Makefile or manually execute separate compile and link commands.

Input files may be any combination of PL/I source or object files already compiled by plic.

By default (without -c) all source files are compiled and linked together with any object files, to create an executable named "a.out" by default. Use the -o option to give the executable a different name.

plicl is deliberately kept simple. If you have a PL/I project that's too complex for plicl, you should be using plic and ld directly, with a Makefile such as the SA_make that's distributed with the compiler.

plicl can't handle input filenames with spaces in them, though spaces are OK in the outfile filename. Filenames with shell metacharacters may or may not work if quoted properly; they're best avoided.

OPTIONS
All options other than -c, -o, --verbose, --man, and --help are passed as-is to plic.

-c  Compile only; do not link. Each PL/I source file is compiled to an object file. The -o option is not allowed when using -c; object file names are based on the source file names, with the extension changed to ".o". Any object files given as arguments are ignored.

-o  Set output executable's filename. By default, this is a.out. This option only makes sense to use when linking an executable, so it's not valid when -c is used.

--verbose
    Print some (possibly) useful information about what what plicl is doing.

--help
    Print this help to standard output and exit. Since the help is long, it will be passed through your pager.

--man
    Print this help in man page (troff) format to standard output and exit.

ENVIRONMENT

PLIC
    Set the path to the PL/I compiler. By default, this is plic, which will be searched for in PATH. This could be set to an absolute path, e.g. if you had multiple versions of plic installed and wanted to choose between them.

LD  Set the path to the linker. By default, this is ld, which will be searched for in PATH. Has no meaning if -c option is used.

LIBS
    Additional libraries to link the executable with. Default is empty. This could be set to e.g. LIBS=-lpbl to link the ISAM library, or something like LIBS="foo.a bar.a" to link with a library you've created with ar(1). Has no meaning if -c option is used.

EXAMPLES
  # compile and link a single PL/I source file into an executable:
  plicl -o hello hello.pli

  # compile and link multiple PL/I source files into an executable:
  plicl -o foobarbaz foo.pli bar.pli baz.pli

  # compile all PL/I source files in the current directory to objects:
  plicl -c *.pli

  # link all the object files in the current directory to create an executable:
  plicl -o my_executable *.o

AUTHOR
plicl was written by B. Watson (yalhcru@gmail.com).

COPYRIGHT
plicl is licensed under the WTFPL: do WTF you want to with this. See http://www.wtfpl.net/txt/copying/ for details.